FsAction (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.permission, enum: FsAction

Package org.apache.hadoop.fs.permission

# Enum Class FsAction

java.lang.Object
java.lang.Enum<FsAction>
org.apache.hadoop.fs.permission.FsAction

All Implemented Interfaces:
  `Serializable`, `Comparable<FsAction>`, `Constable`

@Public @Stable public enum FsAction extends Enum<FsAction>
File system actions, e.g. read, write, etc.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `EXECUTE`
  `NONE`
  `READ`
  `READ_EXECUTE`
  `READ_WRITE`
  `WRITE`
  `WRITE_EXECUTE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `SYMBOL`
  Symbolic representation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsAction`
  `and(FsAction that)`
  AND operation.
  `static FsAction`
  `getFsAction(String permission)`
  Get the FsAction enum for String representation of permissions
  `boolean`
  `implies(FsAction that)`
  Return true if this action implies that action.
  `FsAction`
  `not()`
  NOT operation.
  `FsAction`
  `or(FsAction that)`
  OR operation.
  `static FsAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FsAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final FsAction NONE

  - ### EXECUTE

    public static final FsAction EXECUTE

  - ### WRITE

    public static final FsAction WRITE

  - ### WRITE_EXECUTE

    public static final FsAction WRITE_EXECUTE

  - ### READ

    public static final FsAction READ

  - ### READ_EXECUTE

    public static final FsAction READ_EXECUTE

  - ### READ_WRITE

    public static final FsAction READ_WRITE

  - ### ALL

    public static final FsAction ALL

- ## Field Details

  - ### SYMBOL

    public final String SYMBOL
    Symbolic representation

- ## Method Details

  - ### values

    public static FsAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FsAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### implies

    public boolean implies(FsAction that)
    Return true if this action implies that action.
    Parameters:
      `that` - FsAction that.
    Returns:
      if implies true,not false.

  - ### and

    public FsAction and(FsAction that)
    AND operation.
    Parameters:
      `that` - FsAction that.
    Returns:
      FsAction.

  - ### or

    public FsAction or(FsAction that)
    OR operation.
    Parameters:
      `that` - FsAction that.
    Returns:
      FsAction.

  - ### not

    public FsAction not()
    NOT operation.
    Returns:
      FsAction.

  - ### getFsAction

    public static FsAction getFsAction(String permission)
    Get the FsAction enum for String representation of permissions
    Parameters:
      `permission` - 3-character string representation of permission. ex: rwx
    Returns:
      Returns FsAction enum if the corresponding FsAction exists for permission. Otherwise returns null